import { default as React } from 'react';
import { ControllableActivatableProps, UncontrollableActivatableProps } from '@reusable-ui/core';
import { EditableActionControlProps } from '@reusable-ui/editable-action-control';
import type { InputHTMLAttributes } from '@reusable-ui/input';
import { CheckVariant } from './variants/CheckVariant.js';
export declare const useCheckStyleSheet: () => import("@cssfn/css-types").CssScopeMap<"main">;
export declare const handleInputClickTriggersChange: React.MouseEventHandler<Element>;
export interface CheckProps<TElement extends Element = HTMLSpanElement> extends Omit<EditableActionControlProps<TElement>, 'elmRef' | 'onChange'>, Pick<EditableActionControlProps<HTMLInputElement>, 'elmRef' | 'onChange'>, Omit<InputHTMLAttributes<TElement>, 'role' | 'size' | 'enterKeyHint' | 'disabled' | 'minLength' | 'maxLength' | 'min' | 'max' | 'step' | 'pattern' | 'type' | 'placeholder' | 'autoComplete' | 'list' | 'defaultValue' | 'value'>, CheckVariant, ControllableActivatableProps, UncontrollableActivatableProps {
    label?: string;
    type?: 'checkbox' | 'radio';
    defaultChecked?: boolean;
    checked?: boolean;
    children?: React.ReactNode;
}
declare const Check: <TElement extends Element = HTMLSpanElement>(props: CheckProps<TElement>) => JSX.Element | null;
export { Check, Check as default, };
